Subject: bug#31623: 27.0; Elisp manual, index entry "; in comment"

From: Noam Postavsky <[email-masked]>
Date: Tue, 29 May 2018 21:58:10 -0400

Drew Adams <[email-masked]> writes:

>> > If that's the intention then I think it might be clearer
>> > if the index entry were "; outside a comment" or maybe
>> > "; not in a comment".

> But certainly the `;' that starts a comment is part of the
> comment itself.  No one would doubt that, I think.

I'm a bit puzzled then.  How would "; outside a comment" make sense for
a page which talks about comments?  That seems to be the opposite of
what it's about.

> The entry should indicate something about the subject
> indexed.  "; in comment" does not do that, for me, at
> least.

What do you think about the "(...) in lists" entry?

> Or perhaps you have a suggestion.

I don't really see a problem with the current one, but I guess "; for
commenting" (in the same vein as "' for quoting") could be okay.